Subject: Re: [lp-wan] Window mode as default fragmentation in SCHC + Minutes from Interim on 24/05

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Thu, 1 Jun 2017 09:27:59 +0200

... and here are the slides I promised:
https://www.dropbox.com/s/40opp6d2bx6nt9p/Overhead%20analysis.pdf?dl=0

Note that as suggested in recent discussions, for Window mode, it is
possible to define use of a CFN size (i.e. N) one bit greater than the
maximum one we are currently considering. The latter is given by
floor[log_2(L2_MTU+1)], with L2_MTU expressed in bits.

The "trick" is to support a bitmap size lower than 2^N bits.

For example, for fragmented IPv6 packet transmission in Sigfox uplink, N=6
can be used. However, the maximum bitmap size would be 56 bits, assuming
an 8-bit ACK header, since the downlink L2 MTU is 64 bits.

This technique, which should be explicitly described in the draft, allows
to further reduce the ACK overhead in Window mode (e.g. one ACK every 56
fragments, in the above example, for a large enough IPv6 packet).

Cheers,

Carles

> Hi,
>
> I also agree.
>
> After looking carefully at evaluation results [1], an overall conclusion
> is that it is possible to configure the window size to have low ACK
> overhead at a reasonably low cost in terms of fragmentation header size
> (and number of fragments for a given IPv6 packet size).
>
> Supporting more than one window size (e.g. advertised by means of a
> corresponding Rule ID), when possible, is a further interesting feature
> for performance improvement.
>
> On the other hand, I think we need more time to better analyze the
> different proposals for Packet mode, so working on it in a different
> document will allow for a longer term effort.
>
> Cheers,
>
> Carles
>
> [1] I will soon share some slides on this...
>
>
>
>
>
>
>> Hi Alex,
>>
>> I agree that the window mode provides enough support and flexibility for
>> the basic use cases. The more advanced fragmentation mechanisms to be
>> defined later on can be easily supported and communicated with Rule IDs,
>> as you mention.
>>
>> +1       for Window as default fragmentation mode.
>>
>> Best,
>>
>> Juan Carlos
>>
>>> -----Original Message-----
>>> From: lp-wan [mailto:[email-masked]] On Behalf Of Alexander
>>> Pelov
>>> Sent: May 29, 2017 12:34 PM
>>> To: lp-wan <[email-masked]>
>>> Subject: [lp-wan] Window mode as default fragmentation in SCHC +
>>> Minutes
>>> from Interim on 24/05
>>>
>>> Dear all,
>>>
>>> The minutes from the last interim meeting have been uploaded and can be
>>> found at the following address:
>>> https://www.ietf.org/proceedings/interim-
>>> 2017-lpwan-03/minutes/minutes-interim-2017-lpwan-03-201705241600-00
>>>
>>> One of the main topics that were discussed was the advancement of the
>>> fragmentation part of the IP/UDP SCHC document (
>>> https://tools.ietf.org/html/draft-ietf-lpwan-ipv6-static-context-hc-03
>>> ).
>>>
>>> During the call we have reached a rough consensus that the Window mode
>>> covers all use-cases, is simple (from implementation and protocol point
>>> of
>>> view), is well understood, and can be included as a default mode for
>>> fragmentation in the RFC.
>>>
>>> We have also indicated that there are other ways of doing the
>>> fragmentation
>>> (most notably the Packet mode), but some corner cases still need to be
>>> covered
>>> (e.g. bitmap sizes bigger than available payload limiting the MTU to
>>> less than
>>> 1280), and some advanced ways of actually solving this (Bloom filters
>>> were
>>> mentioned I think). These are all interesting ideas and they merit a
>>> longer
>>> discussion to find the right balance. These are to be kept in a
>>> separate
>>> document, which can continue its life independently, and if the WG
>>> decides can
>>> be included as a future WG item. If a future devices implement these
>>> other
>>> fragmentation mechanisms, they will be perfectly compatible with the
>>> default
>>> Window mode (the Rule ID can indicate which fragmentation mode is
>>> used).
>>>
>>> We would like to confirm that you approve the Window mode as the
>>> default
>>> mode for fragmentation to be included in the SCHC IP/UDP document.
>>>
>>> Best,
>>> The chairs
>>>
>>> _______________________________________________
>>> lp-wan mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/lp-wan
>>
>> _______________________________________________
>> lp-wan mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/lp-wan
>>
>
>
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan
>

---

From: Laurent Toutain <[email-masked]>
Date: Thu, 1 Jun 2017 09:34:08 +0200

good point

Laurent